/v2/publishers/{publisherId}/sites
GET
https://<pcm-domain>/v2/publishers/{publisherId}/sites
Path Parameters
- publisherIdinteger<int32>requiredFormatint32
Responses
200
- ExternalSiteV2Response[]
- idinteger<int32>Formatint32
- namestring
- typestring<DESKTOP | MOBILE_WEB | MOBILE_APP | TABLET_APP | EMAIL>AllowedDESKTOPMOBILE_WEBMOBILE_APPTABLET_APPEMAIL
- domainstring
- marketIdinteger<int32>Formatint32
401
403
404
- ExceptionResponse
- messagesstring[]
curl
curl --request GET \
--url https://<pcm-domain>/v2/publishers/{publisherId}/sites \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://<pcm-domain>/v2/publishers/{publisherId}/sites", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://<pcm-domain>/v2/publishers/{publisherId}/sites")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://<pcm-domain>/v2/publishers/{publisherId}/sites"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"id": "",
"name": "",
"type": "",
"domain": "",
"marketId": ""
}
]401
// Unauthorized
403
// Forbidden
404
// Not Found
{
"messages": [
""
]
}